Kapitel 5. Paketmanagement
Zurück | 5.24 `apt-extracttemplates` | Weiter

## 5.24 `apt-extracttemplates`

`apt-extracttemplates` ist ein Werkzeug zum Extrahieren von DebConf- Konfigurations- und Template-Informationen aus Debian-Paketen. Als Argument können ein oder mehrere Debian-Pakete angegeben werden (diese müssen lokal vorliegen), die entsprechenden Konfigurations- und Template-Informationen werden in einem temporären Verzeichnis (`/tmp/`) abgelegt.

Die Syntax von `apt-extracttemplates` lautet

    apt-extracttemplates [-hv] [-t=temporary directory] file...

Für jedes Paket wird eine Zeile im Format

    package version template-file config-script

ausgegeben. Hier ein einfaches Beispiel:

    wasabi:/home/fr# apt-extracttemplates /var/cache/apt/archives/console-data_2002.12.04dbs-42_all.deb
    console-data 2002.12.04dbs-42 /tmp/console-data.template.5090 /tmp/console-data.config.5091

Optionen

`-t`, `--tempdir`

  Hiermit kann das Verzeichnis bestimmt werden, in dem die Dateien abgelegt werden sollen.

`-h`, `--help`

  Zeigt eine kurze Hilfe zu `apt-extracttemplates` an.

`-v`, `--version`

  Zeigt die Programmversion an.

`-c`, `--config-file`

  Hiermit kann eine zusätzliche Konfigurationsdatei angegeben werden, diese wird vor der eigentlichen Konfigurationsdatei `/etc/apt/apt.conf` eingelesen.

`-o`, `--option`

  Dies setzt eine bestimmte Konfigurationsoption. Die Syntax hierzu: `-o Foo::Bar=bar` .

Zurück | Nach oben | Weiter
5.23 `apt-show-source` | Zum Anfang | 5.25 `apt-file`

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).